sonata_page:
    multisite: host
    use_streamed_response: true # set the value to false in debug mode or if the reverse proxy does not handle streamed response
    ignore_route_patterns:
        - ^(.*)admin(.*) # ignore admin route, ie route containing 'admin'
        - ^_(.*) # ignore symfony routes

    class:
        page: App\Entity\SonataPagePage
        snapshot: App\Entity\SonataPageSnapshot
        block: App\Entity\SonataPageBlock
        site: App\Entity\SonataPageSite

    ignore_uri_patterns:
        - ^/admin\/ # ignore admin route, ie route containing 'admin'

    page_defaults:
        homepage: {decorate: false} # disable decoration for homepage, key - is a page route

    direct_publication: false # or %kernel.debug% if you want to publish in dev mode (but not in prod)

    # manage the http errors
    catch_exceptions:
        not_found: [404] # render 404 page with "not_found" key (name generated: _page_internal_error_{key})
        fatal: [500] # so you can use the same page for different http errors or specify specific page for each error

    default_template: default
    templates:
        default:
            path: 'layout.html.twig'
            name: 'Alap layout'
            containers:
                header:
                    name: Header
                content_top:
                    name: Top content
                content:
                    name: Main content
                content_bottom:
                    name: Bottom content
                footer:
                    name: Footer
            matrix:
                layout: |
    
                    HHHHHHHH
                    TTTTTTTT
                    TTTTTTTT
                    CCCCCCCC
                    CCCCCCCC
                    BBBBBBBB
                    BBBBBBBB
                    FFFFFFFF

                mapping:
                    H: header
                    T: content_top
                    C: content
                    B: content_bottom
                    F: footer

        no_top_content:
            path: 'layout_no_content_top.html.twig'
            name: 'Layout felső tartalom nélkül'
            containers:
                header:
                    name: Header
                content:
                    name: Main content
                content_bottom:
                    name: Bottom content
                footer:
                    name: Footer
            matrix:
                layout: |
                    HHHHHHHH
                    CCCCCCCC
                    CCCCCCCC
                    BBBBBBBB
                    BBBBBBBB
                    FFFFFFFF

                mapping:
                    H: header
                    C: content
                    B: content_bottom
                    F: footer